com.amazonaws.services.simpleworkflow.model

## Class StartChildWorkflowExecutionInitiatedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.StartChildWorkflowExecutionInitiatedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class StartChildWorkflowExecutionInitiatedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `StartChildWorkflowExecutionInitiated` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StartChildWorkflowExecutionInitiatedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StartChildWorkflowExecutionInitiatedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getChildPolicy()` The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.
`String` `getControl()` Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution.
`String` `getExecutionStartToCloseTimeout()` The maximum duration for the child workflow execution.
`String` `getInput()` The inputs provided to the child workflow execution (if any).
`String` `getLambdaRole()` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`List<String>` `getTagList()` The list of tags to associated with the child workflow execution.
`TaskList` `getTaskList()` The name of the task list used for the decision tasks of the child workflow execution.
`String` `getTaskPriority()` Optional. The priority assigned for the decision tasks for this workflow execution.
`String` `getTaskStartToCloseTimeout()` The maximum duration allowed for the decision tasks for this workflow execution.
`String` `getWorkflowId()` The `workflowId` of the child workflow execution.
`WorkflowType` `getWorkflowType()` The type of the child workflow execution.
`int` `hashCode()`
`void` `setChildPolicy(ChildPolicy childPolicy)` The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.
`void` `setChildPolicy(String childPolicy)` The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.
`void` `setControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution.
`void` `setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` The maximum duration for the child workflow execution.
`void` `setInput(String input)` The inputs provided to the child workflow execution (if any).
`void` `setLambdaRole(String lambdaRole)` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`void` `setTagList(Collection<String> tagList)` The list of tags to associated with the child workflow execution.
`void` `setTaskList(TaskList taskList)` The name of the task list used for the decision tasks of the child workflow execution.
`void` `setTaskPriority(String taskPriority)` Optional. The priority assigned for the decision tasks for this workflow execution.
`void` `setTaskStartToCloseTimeout(String taskStartToCloseTimeout)` The maximum duration allowed for the decision tasks for this workflow execution.
`void` `setWorkflowId(String workflowId)` The `workflowId` of the child workflow execution.
`void` `setWorkflowType(WorkflowType workflowType)` The type of the child workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withChildPolicy(ChildPolicy childPolicy)` The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withChildPolicy(String childPolicy)` The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent decision tasks.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` The maximum duration for the child workflow execution.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withInput(String input)` The inputs provided to the child workflow execution (if any).
`StartChildWorkflowExecutionInitiatedEventAttributes` `withLambdaRole(String lambdaRole)` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withTagList(Collection<String> tagList)` The list of tags to associated with the child workflow execution.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withTagList(String... tagList)` The list of tags to associated with the child workflow execution.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withTaskList(TaskList taskList)` The name of the task list used for the decision tasks of the child workflow execution.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withTaskPriority(String taskPriority)` Optional. The priority assigned for the decision tasks for this workflow execution.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withTaskStartToCloseTimeout(String taskStartToCloseTimeout)` The maximum duration allowed for the decision tasks for this workflow execution.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withWorkflowId(String workflowId)` The `workflowId` of the child workflow execution.
`StartChildWorkflowExecutionInitiatedEventAttributes` `withWorkflowType(WorkflowType workflowType)` The type of the child workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartChildWorkflowExecutionInitiatedEventAttributes

    public StartChildWorkflowExecutionInitiatedEventAttributes()

### Method Detail

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The `workflowId` of the child workflow execution.

Parameters:
  `workflowId` - The `workflowId` of the child workflow execution.

#### getWorkflowId

    public String getWorkflowId()

The `workflowId` of the child workflow execution.

Returns:
  The `workflowId` of the child workflow execution.

#### withWorkflowId

    public StartChildWorkflowExecutionInitiatedEventAttributes withWorkflowId(String workflowId)

The `workflowId` of the child workflow execution.

Parameters:
  `workflowId` - The `workflowId` of the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The type of the child workflow execution.

Parameters:
  `workflowType` - The type of the child workflow execution.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The type of the child workflow execution.

Returns:
  The type of the child workflow execution.

#### withWorkflowType

    public StartChildWorkflowExecutionInitiatedEventAttributes withWorkflowType(WorkflowType workflowType)

The type of the child workflow execution.

Parameters:
  `workflowType` - The type of the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setControl

    public void setControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent decision tasks. This data is not sent to the activity.

Parameters:
  `control` - Optional.

#### getControl

    public String getControl()

Optional. Data attached to the event that can be used by the decider in subsequent decision tasks. This data is not sent to the activity.

Returns:
  Optional.

#### withControl

    public StartChildWorkflowExecutionInitiatedEventAttributes withControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent decision tasks. This data is not sent to the activity.

Parameters:
  `control` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(String input)

The inputs provided to the child workflow execution (if any).

Parameters:
  `input` - The inputs provided to the child workflow execution (if any).

#### getInput

    public String getInput()

The inputs provided to the child workflow execution (if any).

Returns:
  The inputs provided to the child workflow execution (if any).

#### withInput

    public StartChildWorkflowExecutionInitiatedEventAttributes withInput(String input)

The inputs provided to the child workflow execution (if any).

Parameters:
  `input` - The inputs provided to the child workflow execution (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionStartToCloseTimeout

    public void setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

The maximum duration for the child workflow execution. If the workflow execution is not closed within this duration, it will be timed out and force terminated.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `executionStartToCloseTimeout` - The maximum duration for the child workflow execution. If the workflow execution is not closed within this duration, it will be timed out and force terminated.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getExecutionStartToCloseTimeout

    public String getExecutionStartToCloseTimeout()

The maximum duration for the child workflow execution. If the workflow execution is not closed within this duration, it will be timed out and force terminated.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The maximum duration for the child workflow execution. If the workflow execution is not closed within this duration, it will be timed out and force terminated.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withExecutionStartToCloseTimeout

    public StartChildWorkflowExecutionInitiatedEventAttributes withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

The maximum duration for the child workflow execution. If the workflow execution is not closed within this duration, it will be timed out and force terminated.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `executionStartToCloseTimeout` - The maximum duration for the child workflow execution. If the workflow execution is not closed within this duration, it will be timed out and force terminated.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskList

    public void setTaskList(TaskList taskList)

The name of the task list used for the decision tasks of the child workflow execution.

Parameters:
  `taskList` - The name of the task list used for the decision tasks of the child workflow execution.

#### getTaskList

    public TaskList getTaskList()

The name of the task list used for the decision tasks of the child workflow execution.

Returns:
  The name of the task list used for the decision tasks of the child workflow execution.

#### withTaskList

    public StartChildWorkflowExecutionInitiatedEventAttributes withTaskList(TaskList taskList)

The name of the task list used for the decision tasks of the child workflow execution.

Parameters:
  `taskList` - The name of the task list used for the decision tasks of the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskPriority

    public void setTaskPriority(String taskPriority)

Optional. The priority assigned for the decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - Optional. The priority assigned for the decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### getTaskPriority

    public String getTaskPriority()

Optional. The priority assigned for the decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Returns:
  Optional. The priority assigned for the decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### withTaskPriority

    public StartChildWorkflowExecutionInitiatedEventAttributes withTaskPriority(String taskPriority)

Optional. The priority assigned for the decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - Optional. The priority assigned for the decision tasks for this workflow execution. Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

#### withDecisionTaskCompletedEventId

    public StartChildWorkflowExecutionInitiatedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `StartChildWorkflowExecution` decision to request this child workflow execution. This information can be useful for diagnosing problems by tracing back the cause of events.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildPolicy

    public void setChildPolicy(String childPolicy)

The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### getChildPolicy

    public String getChildPolicy()

The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Returns:
  The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public StartChildWorkflowExecutionInitiatedEventAttributes withChildPolicy(String childPolicy)

The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setChildPolicy

    public void setChildPolicy(ChildPolicy childPolicy)

The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public StartChildWorkflowExecutionInitiatedEventAttributes withChildPolicy(ChildPolicy childPolicy)

The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this execution gets terminated by explicitly calling the TerminateWorkflowExecution action or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setTaskStartToCloseTimeout

    public void setTaskStartToCloseTimeout(String taskStartToCloseTimeout)

The maximum duration allowed for the decision tasks for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `taskStartToCloseTimeout` - The maximum duration allowed for the decision tasks for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getTaskStartToCloseTimeout

    public String getTaskStartToCloseTimeout()

The maximum duration allowed for the decision tasks for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The maximum duration allowed for the decision tasks for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withTaskStartToCloseTimeout

    public StartChildWorkflowExecutionInitiatedEventAttributes withTaskStartToCloseTimeout(String taskStartToCloseTimeout)

The maximum duration allowed for the decision tasks for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `taskStartToCloseTimeout` - The maximum duration allowed for the decision tasks for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTagList

    public List<String> getTagList()

The list of tags to associated with the child workflow execution.

Returns:
  The list of tags to associated with the child workflow execution.

#### setTagList

    public void setTagList(Collection<String> tagList)

The list of tags to associated with the child workflow execution.

Parameters:
  `tagList` - The list of tags to associated with the child workflow execution.

#### withTagList

    public StartChildWorkflowExecutionInitiatedEventAttributes withTagList(String... tagList)

The list of tags to associated with the child workflow execution.

NOTE: This method appends the values to the existing list (if any). Use `setTagList(java.util.Collection)` or `withTagList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tagList` - The list of tags to associated with the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTagList

    public StartChildWorkflowExecutionInitiatedEventAttributes withTagList(Collection<String> tagList)

The list of tags to associated with the child workflow execution.

Parameters:
  `tagList` - The list of tags to associated with the child workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaRole

    public void setLambdaRole(String lambdaRole)

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Parameters:
  `lambdaRole` - The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

#### getLambdaRole

    public String getLambdaRole()

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Returns:
  The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

#### withLambdaRole

    public StartChildWorkflowExecutionInitiatedEventAttributes withLambdaRole(String lambdaRole)

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Parameters:
  `lambdaRole` - The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StartChildWorkflowExecutionInitiatedEventAttributes clone()

Overrides:
  `clone` in class `Object`